services:
  redis:
    image: redis/redis-stack-server:7.2.0-RC3
    restart: always
    ports:
      - '6379:6379'
    #expose:
    #  - 6379
    environment:
      - REDIS_ARGS=--save 3600 1 --loglevel warning
    volumes:
      - redis:/data
  luncher:
    depends_on:
      - redis
    restart: always
    build:
      context: ./
    ports:
      - 3001:3001
    environment:
      - TZ=Europe/Prague
    volumes:
      - "/etc/timezone:/etc/timezone:ro"
volumes:
  redis:
    driver: local
